/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <nostalgia/modules/keelmodules.hpp>
#include <nostalgia/modules/studiomodules.hpp>

#include <studioapp/studioapp.hpp>

#ifdef _WIN32
int WinMain(int argc, const char **argv) {
#else
int main(int argc, const char **argv) {
#endif
	nostalgia::registerKeelModules();
	nostalgia::registerStudioModules();
	return studio::main("Nostalgia Studio", ".nostalgia", argc, argv);
}
